import java.io.File;
import com.amazon.carbonado.Repository;
import com.amazon.carbonado.RepositoryException;
import com.amazon.carbonado.Storage;
import org.apache.derby.jdbc.EmbeddedDataSource

import com.amazon.carbonado.repo.sleepycat.BDBRepositoryBuilder

def rootModel = app.models.root  

try {
	// Need to build access to a Repository instance. In this
	// case, we're building access to a Repository that stores
	// data in Berkeley DB.
	BDBRepositoryBuilder builder = new BDBRepositoryBuilder();
	// All Repositories require a name to be configured.
	builder.setProduct("JE");
	builder.setName("test");
	builder.setEnvironmentHome("testRepo");
	builder.setTransactionWriteNoSync(true);

	// Now build the Repository instance.
	Repository repo = builder.build();
	// Access Storage for a specific type of Storable.
	Storage<StoredMessage> storage = repo.storageFor(StoredMessage.class);
	
	/*
		//Insert message.
		StoredMessage message = storage.prepare();
		message.setID(1);
		message.setMessage("Hello Carbonado!")
		message.insert()
	*/
	
	// Get message from repository
	StoredMessage message = storage.prepare();
	message.setID(1);
	message.load()
	rootModel.message = message.getMessage()
	
} catch (Exception e) {
	e.printStackTrace()
}



